CharIterator (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.fo

## Class CharIterator

- java.lang.Object
- - org.apache.fop.fo.CharIterator

- All Implemented Interfaces:
    java.lang.Cloneable, java.util.Iterator
  Direct Known Subclasses:
    NullCharIterator, OneCharIterator, RecursiveCharIterator, StringCharIterator

      public abstract class CharIterator
      extends java.lang.Object
      implements java.util.Iterator, java.lang.Cloneable

  Abstract base class for iterators that should iterate through a series of characters. Extends the java.util.Iterator interface with some additional functions useful for FOP's management of text.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CharIterator()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `abstract boolean` | `hasNext()`
    `java.lang.Object` | `next()`
    `abstract char` | `nextChar()`
    `void` | `remove()`
    `void` | `replaceChar(char c)` Replace the current character managed by the iterator with a specified character?

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### CharIterator

          public CharIterator()

  - ### Method Detail

    - #### hasNext

          public abstract boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator`

    - #### nextChar

          public abstract char nextChar()
                                 throws java.util.NoSuchElementException

      Returns:
        the character that is the next character in the collection
      Throws:
        `java.util.NoSuchElementException` - if there are no more characters (test for this condition with java.util.Iterator.hasNext()).

    - #### next

          public java.lang.Object next()
                                throws java.util.NoSuchElementException

      Specified by:
        `next` in interface `java.util.Iterator`
      Throws:
        `java.util.NoSuchElementException`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator`

    - #### replaceChar

          public void replaceChar(char c)

      Replace the current character managed by the iterator with a specified character?
      Parameters:
        `c` - character

    - #### clone

          public java.lang.Object clone()

      Overrides:
        `clone` in class `java.lang.Object`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.